curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/calls/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"after": "<string>",
"filterGroups": [
{
"filters": [
{
"operator": "BETWEEN",
"propertyName": "<string>",
"highValue": "<string>",
"value": "<string>",
"values": [
"<string>"
]
}
]
}
],
"limit": 123,
"properties": [
"<string>"
],
"sorts": [
"<string>"
],
"query": "<string>"
}
'{
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"total": 123,
"paging": {
"next": {
"after": "NTI1Cg%3D%3D",
"link": "?after=NTI1Cg%3D%3D"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}Rechercher des appels en filtrant les propriétés, en parcourant les associations et en triant les résultats. En savoir plus sur la recherche CRM.
curl --request POST \
--url https://api.hubapi.com/crm/v3/objects/calls/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"after": "<string>",
"filterGroups": [
{
"filters": [
{
"operator": "BETWEEN",
"propertyName": "<string>",
"highValue": "<string>",
"value": "<string>",
"values": [
"<string>"
]
}
]
}
],
"limit": 123,
"properties": [
"<string>"
],
"sorts": [
"<string>"
],
"query": "<string>"
}
'{
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"id": "512",
"properties": {
"property_checkbox": "false",
"property_date": "1572480000000",
"property_dropdown": "choice_b",
"property_multiple_checkboxes": "chocolate;strawberry",
"property_number": "17",
"property_radio": "option_1",
"property_string": "value"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"total": 123,
"paging": {
"next": {
"after": "NTI1Cg%3D%3D",
"link": "?after=NTI1Cg%3D%3D"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}Produits pris en charge
Portées requises
The access token received from the authorization server in the OAuth 2.0 flow.
Décrit une demande de recherche
Un jeton de curseur de pagination pour récupérer les pages suivantes.
Jusqu'à 6 groupes de filtres définissant des critères d'interrogation supplémentaires.
Show child attributes
Le nombre maximum de résultats à renvoyer, jusqu'à 200 objets.
Une liste de noms de propriétés à inclure dans la réponse.
Spécifie l'ordre de tri basé sur les propriétés de l'objet.
La chaîne de requête de la recherche, jusqu'à 3 000 caractères.